import pygame
import data
import const

def cpos_to_pos(cpos):
    return [const.OFFSET + cpos[0] * const.CELL_SIZE,
            const.OFFSET + cpos[1] * const.CELL_SIZE]

cache = {}

def load_image(path, alpha=True):
    try:
        cached_image = cache[path]
        return cached_image
    except KeyError:
        image = pygame.image.load(data.filepath(path))
        if alpha:
            cache[path] = image.convert_alpha()
        else:
            cache[path] = image.convert()
        return cache[path]